# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    sender_mail: '%env(SENDER_MAIL)%'
    sender_name: '%env(SENDER_NAME)%'
    recipient_mail: '%env(RECIPIENT_MAIL)%'

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/*'
        exclude: '../src/{DependencyInjection,Entity,Migrations,Tests,Kernel.php}'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller'
        tags: ['controller.service_arguments']

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones

    App\Service\MailService:
        arguments:
            $mailer: '@swiftmailer.mailer'
            $twig: '@twig'
            $logger: '@logger'
            $container: '@service_container'
        public: true

    # Sonata Admin
    admin.form_content:
        class: App\Admin\FormContent
        arguments: [~, App\Entity\FormContent, ~]
        tags:
            - { name: sonata.admin, manager_type: orm, label: FormContent }
